/* styles.css */
body, html {
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
}

.header {
  background-color: #004466;
  color: white;
  padding: 20px;
  text-align: center;
}

.container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  padding: 20px;
  justify-content: center;
}

.lesson {
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 15px;
  background-color: #f0f0f0;
  transition: transform 0.3s ease;
  height: 400px; /* Adjusted height to accommodate the button */
}

.image-container {
  width: 100%;
  height: 200px; /* Set a fixed height for the image */
  overflow: hidden; /* Hide the overflow to maintain the container's shape */
}

.lesson img {
  width: 100%;
  height: 100%;
  object-fit: contain; /* The image will be scaled to maintain its aspect ratio while fitting within the element's content box */
  border-radius: 15px; /* Gives rounded corners to the images */
}

.button-container {
  text-align: center;
  width: 100%;
  margin-top: 15px;
}

.download-button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #007bff;
  color: white;
  text-decoration: none;
  border-radius: 5px;
  transition: background-color 0.3s ease;
}

.download-button:hover {
  background-color: #0056b3;
}

.lesson:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  background-color: lightblue; /* New background color on hover */
}





